Open Banking Service Withdrawal API
Withdraws a customer from the Open Banking service.
Calling this API terminates the customer's Open Banking service and deletes all registered account information.
API Information
POST/v2/api/member/withdraw
Content-Type
application/json테스트
https://tbnpay.settlebank.co.kr/v2/api/member/withdraw운영
https://npay.settlebank.co.kr/v2/api/member/withdrawRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Unique Merchant ID assigned by Hecto Financial.
Unique Merchant ID assigned by Hecto Financial.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Unique customer ID or key provided by the merchant.Unique customer ID or key provided by the merchant.
└trdDtAN(8)Alphanumeric, up to 8 bytes*Transaction date.
Transaction date.
*YYYYMMDD
└trdTmAN(6)Alphanumeric, up to 6 bytes*Transaction time.
Transaction time.
*HH24MISS
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
*The customer device's IP address, not the merchant server IP
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
*Merchant ID + customer ID (plaintext) + transaction date + transaction time + auth key
Request Hash Code
| Item | Combined fields |
|---|---|
| pktHash value | Merchant ID + customer ID (plaintext) + transaction date + transaction time + auth key |
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (success/failure).
Transaction status code (success/failure).
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
Decline code.
*Refer to rejection code table
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
*Error details are returned when an error occurs.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*Merchant customer ID.
kimhectoMerchant customer ID.
*The ID of the withdrawn customer
└wdDtAN(8)Alphanumeric, up to 8 bytes*Withdrawal date.
20230330Withdrawal date.
*YYYYMMDD
Request Example
{
"hdInfo": "SPAY_MW0W_1.0",
"mchtId": "midtest",
"mchtCustId": "AES-encrypted customer ID",
"trdDt": "20230330",
"trdTm": "095512",
"custIp": "127.0.0.1",
"pktHash": "hash value"
}
Response Example
{
"outStatCd": "0021",
"outRsltCd": "0000",
"outRsltMsg": "Processed successfully.",
"mchtCustId": "kimhecto",
"wdDt": "20230330"
}
Need technical support?
Code Samples
HectoFinancial GitHub